Subject: COMPILING HELP NEEEEEDED !!!

From: [email-masked] (Zeljko Rajic)
Date: Thu, 23 Nov 1995 21:48:56 +0100 (MET)

Hi everybody !

I am trying to install the wu-ftp daemon on Linux 1.2.13 with gcc 2.5.8 !
I have changed all the path-variables in the src/pathnames.h so they fit to my
Linux environment !
After doing the "build lnx" command, I receive a lot of strange error messages !I really hope that there is anyone who could help me in here as I allready have tried several things but did not succeed....  :-(
Or am I the only one that is/has installed the daemon onto Linux ??

The error messages start like this.....

make args are : 
make opts are : 

Linking Makefiles.

Making support library.
Makefile:13: *** missing separator.  Stop.

Making ftpd.
gcc -O -DDEBUG -I.. -I../support -I/usr/include/bsd -L../support   -c ftpd.c -o ftpd.o
In file included from ftpd.c:42:
config.h:25: syntax error before `typedef'
In file included from ftpd.c:46:
/usr/include/sys/stat.h:28: syntax error before `struct'
ftpd.c:227: parse error before `lostconn'
ftpd.c:227: warning: data definition has no type or storage class
ftpd.c:228: parse error before `randomsig'
ftpd.c:228: warning: data definition has no type or storage class
ftpd.c:229: parse error before `myoob'
ftpd.c:229: warning: data definition has no type or storage class
ftpd.c: In function `main':
ftpd.c:301: too few arguments to function `openlog'
ftpd.c:386: warning: passing arg 2 of `__bsd_signal' from incompatible pointer type
ftpd.c:389: warning: passing arg 2 of `__bsd_signal' from incompatible pointer type
ftpd.c:392: warning: passing arg 2 of `__bsd_signal' from incompatible pointer type

[....]

So hope to hear from anyone.....

RaZe	<[email-masked]>